import { TranslatePipe } from './../../../../shared/translate/pipes/translate.pipe';
import { LoadingController } from '@ionic/angular';
export declare class LoadingService {
    private loadingController;
    private translatePipe;
    loader: HTMLIonLoadingElement;
    constructor(loadingController: LoadingController, translatePipe: TranslatePipe);
    presentLoading(msg: string): Promise<any>;
    dismissLoading(): void;
}
